summaryrefslogtreecommitdiffstats
path: root/system/gohu-font
diff options
context:
space:
mode:
author B. Watson2023-03-08 03:00:53 +0100
committer Willy Sudiarto Raharjo2023-03-12 02:48:26 +0100
commita75cc652c4640290a9784f8b68ce078d324244b3 (patch)
tree4bd3dc2810f7e3869a06274420090f9eec37da50 /system/gohu-font
parent35948186b0cec778766aa1fd1cc69e4493ad7f50 (diff)
downloadslackbuilds-a75cc652c4640290a9784f8b68ce078d324244b3.tar.gz
system/gohu-font: Add douninst.sh.
Signed-off-by: B. Watson <urchlay@slackware.uk> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/gohu-font')
-rw-r--r--system/gohu-font/doinst.sh5
-rw-r--r--system/gohu-font/douninst.sh14
-rw-r--r--system/gohu-font/gohu-font.SlackBuild5
3 files changed, 22 insertions, 2 deletions
diff --git a/system/gohu-font/doinst.sh b/system/gohu-font/doinst.sh
index aa7f16b279..c014f1310f 100644
--- a/system/gohu-font/doinst.sh
+++ b/system/gohu-font/doinst.sh
@@ -1,6 +1,6 @@
if [ -x /usr/bin/mkfontdir ]; then
( cd usr/share/fonts/misc
- if ! grep -q ^gohu fonts.alias 2>/dev/null; then
+ if ! grep -q '^gohu1[14]\(bold\|\) ' fonts.alias 2>/dev/null; then
echo 'gohu11 -gohu-gohufont-medium-r-normal--11-80-100-100-c-60-iso10646-1' >> fonts.alias
echo 'gohu11bold -gohu-gohufont-bold-r-normal--11-80-100-100-c-60-iso10646-1' >> fonts.alias
echo 'gohu14 -gohu-gohufont-medium-r-normal--14-100-100-100-c-80-iso10646-1' >> fonts.alias
@@ -10,6 +10,9 @@ if [ -x /usr/bin/mkfontdir ]; then
mkfontdir .
)
fi
+
+[ "$DISPLAY" != "" ] && xset fp rehash 2>/dev/null
+
if [ -x usr/bin/fc-cache ]; then
usr/bin/fc-cache -f
fi
diff --git a/system/gohu-font/douninst.sh b/system/gohu-font/douninst.sh
new file mode 100644
index 0000000000..241d35f86f
--- /dev/null
+++ b/system/gohu-font/douninst.sh
@@ -0,0 +1,14 @@
+if [ -x /usr/bin/mkfontdir ]; then
+ ( cd usr/share/fonts/misc
+ grep -v '^gohu1[14]\(bold\|\) ' fonts.alias > fonts.alias.new
+ mv fonts.alias.new fonts.alias
+ mkfontscale .
+ mkfontdir .
+ )
+fi
+
+[ "$DISPLAY" != "" ] && xset fp rehash 2>/dev/null
+
+if [ -x usr/bin/fc-cache ]; then
+ usr/bin/fc-cache -f
+fi
diff --git a/system/gohu-font/gohu-font.SlackBuild b/system/gohu-font/gohu-font.SlackBuild
index 678c6d74d3..8566a1e66f 100644
--- a/system/gohu-font/gohu-font.SlackBuild
+++ b/system/gohu-font/gohu-font.SlackBuild
@@ -9,11 +9,13 @@
# 20170328 bkw: anyone looking to convert BDF fonts for use with the
# console might be interested in this.
+# 20230307 bkw: BUILD=2, add douninst.sh
+
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=gohu-font
VERSION=${VERSION:-2.1}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -96,6 +98,7 @@ cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
sed "s,@FONTTYPES@,$FONTTYPES," $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/douninst.sh > $PKG/install/douninst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE